Skip to content

API reference

Saved followers / following

account_list_relations — Page through the account's saved followers or following with filters: new today, not following back, mutual, lost (unfollowed), verified.

account_list_relations · Reads saved data

Page through the account's saved followers or following with filters: new today, not following back, mutual, lost (unfollowed), verified. Instant.

REST GET /api/public/v1/accounts/{account}/relations
MCP tool account_list_relations
Permission needed view — Owner, Manager, Operator, Viewer
Scope group accounts:read
Group Synced X data
Shown up front in profiles Operate X accounts

Input

Field Type Required Description
account string (1–100 chars) Yes The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing.
direction follower · following Yes
filter all · new · not_mutual · mutual · lost · verified No
search string (0–60 chars) No
cursor string (0–500 chars) No Opaque cursor from a previous page's next_cursor.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/relations?direction=follower" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "account_list_relations",
    "arguments": {
      "account": "@your_x_account",
      "direction": "follower"
    }
  }
}

Errors you may get

Back to all operations